Bug 31575 - amd pcnet32 adapter is not detected
amd pcnet32 adapter is not detected
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-12 17:28 EST by Gregory Leblanc
Modified: 2014-03-16 22:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-13 13:12:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Leblanc 2001-03-12 17:28:31 EST
When installing RC1 my amd pcnet32 adapter is not detected.  This adapter
is provided by VMWare, and was detected properly under RH7.0.  modprobing
pcnet32 seems to load the module just fine.  I just tried an upgrade to
RC2, and this problem still shows up.  :-(
Comment 1 Bill Nottingham 2001-03-12 17:36:04 EST
lspci output?
Comment 2 Gregory Leblanc 2001-03-12 18:20:24 EST
[root@rhbeta /root]# lspci -v -v -v -s 00:10.0

00:10.0 Ethernet controller: Advanced Micro Devices [AMD] 79c970 [PCnet LANCE]
(rev 10)
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (1500ns min, 63750ns max)
        Interrupt: pin A routed to IRQ 9
        Region 0: I/O ports at 1000 [size=32]
        Region 1: Memory at fd000000 (32-bit, non-prefetchable) [disabled] [size=32]
Comment 3 Bill Nottingham 2001-03-12 21:09:52 EST
Hm, that *should* be recognized. What does /etc/sysconfig/hwconf
say for this card?
Comment 4 Gregory Leblanc 2001-03-13 12:28:42 EST
class: NETWORK
bus: PCI
detached: 0
device: eth
driver: disabled
desc: "Advanced Micro Devices [AMD]|79c970 [PCnet LANCE]"
vendorId: 1022
deviceId: 2000
subVendorId: 0000
subDeviceId: 0000
pciType: 1

I'm not missing something here, am I?  When I do a 'workstation' install it
should give me some option to configure the network card, right?  And if it
hadn't been detected, if/when kudzu detected it, it should have given me the
option to configure some networking for it, right?  I'm nearly 100% sure that
'workstation' installs of Red Hat Linux 7.0 gave me the option to configure the
networking/network card during the install.  
Comment 5 Bill Nottingham 2001-03-13 12:32:24 EST
If you install the latest kudzu (from the 0309.0 tree), does the entry
in hwconf change to have the correct driver listed instead of 'disabled'?
Comment 6 Gregory Leblanc 2001-03-13 13:12:33 EST
Updating to that kudzu got me a prompt about configuring the card on reboot, and
it also lists the right driver in /etc/sysconfig/hwconf.
Comment 7 Bill Nottingham 2001-03-13 14:31:44 EST
Cool, thanks for verifying that.

Note You need to log in before you can comment on or make changes to this bug.